%global upstream_name metrics-library

Name:		intel-metrics-library
Version:	1.0.133
Release:	%autorelease
Summary:	Intel Metrics Library for MDAPI

License:	MIT
URL:		https://github.com/intel/metrics-library
Source0:	%url/archive/refs/tags/%{upstream_name}-%{version}.tar.gz

BuildRequires:	cmake >= 3.1
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(libdrm)

# Upstream only supports x86_64
ExclusiveArch:	x86_64

%description
This software is a user mode driver helper library that provides access to 
GPU performance counters.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
applications that use %{name}.

%prep
%autosetup -n %{upstream_name}-%{upstream_name}-%{version}

%build
%cmake -DCMAKE_C_FLAGS="%{optflags} -Ofast" \
	-DCMAKE_CXX_FLAGS="%{optflags} -Ofast"
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libigdml.so.%{version}
%{_libdir}/libigdml.so.1

%files devel
%{_includedir}/metrics_library_api_1_0.h
%{_libdir}/libigdml.so
%{_libdir}/libigdml64.so
%{_libdir}/pkgconfig/libigdml.pc

%changelog
%autochangelog
